Package uk.co.mccombe.mapping

# Class Orthomorphic

java.lang.Object
uk.co.mccombe.mapping.CoordinateSystem
uk.co.mccombe.mapping.Projection
uk.co.mccombe.mapping.Orthomorphic

Direct Known Subclasses:
  `NZMG`

public abstract class Orthomorphic extends Projection

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static final class`
`Orthomorphic.Complex`

## Field Summary

### Fields inherited from class uk.co.mccombe.mapping.CoordinateSystem

`locus, ref, sph`

## Constructor Summary

Constructors
Constructor
Description
`Orthomorphic(ENPair point, Ellipsoid sphere, Datum datum)`
Create an instance of Orthomorphic based on a specified ENPair
`Orthomorphic(Position p, Ellipsoid e, Datum d)`
Create a new Orthomorphic instance for a location specified by Position, Ellipsoid and Datum

## Method Summary

Modifier and Type
Method
Description
`protected double`
`a()`
`abstract Orthomorphic.Complex`
`cfb1(int i)`
`abstract Orthomorphic.Complex`
`cfb2(int i)`
`abstract int`
`cfblen()`
`abstract double`
`cfi(int i)`
`abstract int`
`cfilen()`
`abstract double`
`cfl(int i)`
`abstract int`
`cfllen()`
`abstract double`
`e0()`
`abstract double`
`gridConvergence()`
Calculate Grid Convergence - the angle between the North axis and True North at this particular point.
`abstract double`
`lamda0()`
`abstract double`
`n0()`
`abstract double`
`phi0()`
`ENPair`
`toEN()`
Get a 2-dimensional representation of the projected position as easting and northing distances

### Methods inherited from class uk.co.mccombe.mapping.CoordinateSystem

`defaultDatum, defaultEllipsoid, getDatum, getEllipsoid, getName, getPosition, getWGS84, parseDouble, toLatLong, toLatLongString, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### Orthomorphic

public Orthomorphic(Position p, Ellipsoid e, Datum d)
Create a new Orthomorphic instance for a location specified by Position, Ellipsoid and Datum

Parameters:
  `p` - A Position object defining the location
  `e` - The Ellipsoid used as a reference
  `d` - The Datum used

### Orthomorphic

public Orthomorphic(ENPair point, Ellipsoid sphere, Datum datum)
Create an instance of Orthomorphic based on a specified ENPair

Parameters:
  `point` - An ENPair containing the Easting and Northing distances of the point
  `sphere` - The Ellipsoid to use
  `datum` - The Datum to use with this instance

## Method Details

### toEN

public ENPair toEN()
Description copied from class: `Projection`
Get a 2-dimensional representation of the projected position as easting and northing distances

Specified by:
  `toEN` in class `Projection`
Returns:
  An ENPair representing the projected Position

### gridConvergence

public abstract double gridConvergence()
Description copied from class: `Projection`
Calculate Grid Convergence - the angle between the North axis and True North at this particular point.

Specified by:
  `gridConvergence` in class `Projection`
Returns:
  Grid convergence (radians)

### a

protected double a()

### n0

public abstract double n0()

### e0

public abstract double e0()

### phi0

public abstract double phi0()

### lamda0

public abstract double lamda0()

### cfi

public abstract double cfi(int i)

### cfilen

public abstract int cfilen()

### cfl

public abstract double cfl(int i)

### cfllen

public abstract int cfllen()

### cfblen

public abstract int cfblen()

### cfb1

public abstract Orthomorphic.Complex cfb1(int i)

### cfb2

public abstract Orthomorphic.Complex cfb2(int i)